#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 websockets
version:              0.12.7.3
visibility:           public
id:                   websockets-0.12.7.3-GMTFanpDhP7DlrLGD5wppL
key:                  websockets-0.12.7.3-GMTFanpDhP7DlrLGD5wppL
license:              BSD-3-Clause
copyright:
    (c) 2010-2011 Siniša Biđin
    (c) 2011-2018 Jasper Van der Jeugt
    (c) 2011 Steffen Schuldenzucker
    (c) 2011 Alex Lang

maintainer:           Jasper Van der Jeugt <m@jaspervdj.be>
author:
    Siniša Biđin <sinisa@bidin.cc>
    Jasper Van der Jeugt <m@jaspervdj.be>
    Steffen Schuldenzucker <steffen.schuldenzucker@googlemail.com>
    Alex Lang <lang@tsurucapital.com>

stability:            experimental
homepage:             http://jaspervdj.be/websockets
synopsis:
    A sensible and clean way to write WebSocket-capable servers in Haskell.

description:
    This library allows you to write WebSocket-capable servers.

    An example server:
    <https://github.com/jaspervdj/websockets/blob/master/example/server.lhs>

    An example client:
    <https://github.com/jaspervdj/websockets/blob/master/example/client.hs>

    See also:

    * The specification of the WebSocket protocol:
    <http://www.whatwg.org/specs/web-socket-protocol/>

    * The JavaScript API for dealing with WebSockets:
    <http://www.w3.org/TR/websockets/>

category:             Network
abi:                  ea31c90f2b3b1dc8ce457e779c7f3087
exposed:              True
exposed-modules:
    Network.WebSockets Network.WebSockets.Client
    Network.WebSockets.Connection Network.WebSockets.Extensions
    Network.WebSockets.Stream

hidden-modules:
    Network.WebSockets.Connection.Options
    Network.WebSockets.Extensions.Description
    Network.WebSockets.Extensions.PermessageDeflate
    Network.WebSockets.Extensions.StrictUnicode Network.WebSockets.Http
    Network.WebSockets.Hybi13 Network.WebSockets.Hybi13.Demultiplex
    Network.WebSockets.Hybi13.Mask Network.WebSockets.Protocol
    Network.WebSockets.Server Network.WebSockets.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/websockets-0.12.7.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/websockets-0.12.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-websockets
hs-libraries:         HSwebsockets-0.12.7.3-GMTFanpDhP7DlrLGD5wppL
depends:
    SHA-1.6.4.4-1UNVNO3JXJdDGqRoMkntZx
    async-2.2.5-2AzmtmK8Ht1K5YVHzqnMlN
    attoparsec-0.14.4-1tcbLXz1Dqr3Mkx9osd1Tv base-4.15.1.0
    base64-bytestring-1.2.1.0-DmjE4B5kPu75fN834AjqPB binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-COHEBoTMRkJCaa3hCRLxLb
    clock-0.8.3-CtKAA1QZkJR1pdvpqyYt2U containers-0.6.4.1
    entropy-0.4.1.10-CwQzC5Ky39pHQuKDZJMypk
    network-3.1.4.0-FdTdnnvJv4pnhop8qDvVA
    random-1.2.1.1-CHgxDo7s3JxE3u6VanaU7G
    streaming-commons-0.2.2.6-H9dEBph2UnU3p2WKg5Ca9z text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-websockets/html/websockets.haddock
haddock-html:         /usr/share/doc/haskell-websockets/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

